#ifndef FACT_Dim
#define FACT_Dim

#include <string>

#include "dic.hxx"

namespace Dim
{
    inline bool SendCommand(const std::string &command)
    {
        return DimClient::sendCommand(command.c_str(), NULL, 0);
    }

    template<typename T>
        inline bool SendCommand(const std::string &command, const T &t)
    {
        return DimClient::sendCommand(command.c_str(), (void*)&t, sizeof(t));
    }

    std::string GetLocalIp();

    void Setup(const std::string &dns);
}

#endif
